import { ComponentID } from '@teambit/component';
export type DependencyType = {
    id: string;
    lifecycle: string;
    packageName: string | null;
    version: string;
    __typename: string;
};
export declare function useCode(componentId?: ComponentID, host?: string): {
    fileTree: string[];
    mainFile: string;
    dependencies: DependencyType[];
    devFiles: string[];
    loading: boolean;
};
